log4shib 2.0.0

Public Member Functions | Public Attributes | List of all members
log4shib::NDC::DiagnosticContext Struct Reference

`#include <NDC.hh>`

## Public Member Functions
| DiagnosticContext (const std::string &message)
| DiagnosticContext (const std::string &message, const DiagnosticContext &parent)

## Public Attributes
std::string | message
std::string | fullMessage

## Constructor & Destructor Documentation

## ◆ DiagnosticContext() [1/2]

log4shib::NDC::DiagnosticContext::DiagnosticContext | ( | const std::string & | message | ) |

## ◆ DiagnosticContext() [2/2]

log4shib::NDC::DiagnosticContext::DiagnosticContext | ( | const std::string & | message,
|  | const DiagnosticContext & | parent
| ) |  |

## Member Data Documentation

## ◆ fullMessage

std::string log4shib::NDC::DiagnosticContext::fullMessage

## ◆ message

std::string log4shib::NDC::DiagnosticContext::message

The documentation for this struct was generated from the following files:

- NDC.hh
- NDC.cpp